﻿@model Avira.MarketingResearch.Model.ViewModels.ImportExport.ImportResponse


@{
    ViewData["Title"] = "Index";
}
<div id="content" class="content">
    <div class="section-with-top-border">
        <h2>Authoring Tool Import Module </h2>
        <br/>
        <div class="text-left"> <button class="btn btn-dark"> @Html.ActionLink("Market Sizing Import", "Index", "ImportRequest")</button></div>
       
        <br/>
        <form method="post" enctype="multipart/form-data">
            <div class="row">
                <div class="col-md-2">
                    Please select template:
                </div>
                <div class="col-md-2">
                    <select name="importTemplate" id="importTemplate">
                        <option value="-1">Select Template</option>
                        <option value="Trend">Trend</option>
                        <option value="Company Basic Info">Company Basic Info</option>
                        <option value="CP_Fundamentals">CP_Fundamentals</option>
                        <option value="Company Profile">Company Profile</option>
                        @*<option value="Market Sizeing">Market Sizing</option>*@
                        <option value="CP Financial">CP Financial</option>
                        <option value="CompanyBulkImport">Company Bulk</option>
                        <option value="QualitativeAnalysis">Qualitative Analysis</option>
                        <option value="Report Generation">Report Generation</option>
                        <option value="Strategy Instance">Strategy Instance</option>
                    </select>
                </div>
                <div class="col-md-3">
                    <input type="file" id="fUpload" name="formFile" class="form-control" />
                </div>
                <div class="col-md-1">
                    <input type="submit" id="btnUpload" value="Import" />
                </div>
                <div class="col-md-2">
                    <input type="button" id="btnDownloadTemplate" value="DownloadTemplate" />
                </div>
            </div>
            <br /><br />
            <div class="row">
                <div class="col-md-12">
                    <label id="errorSelect" class="label-danger" style="color:red;"></label>
                    <br />
                    <label id="errorFile" class="label-danger" style="color:red;"></label>
                </div>
            </div>
            <br /><br /><br /><br />
            @*<div class="row">
            <div class="col-md-4">
                <b>Status</b> : @Model.ResponseStatus<br />
                <b>Message</b> : @Model.ResponseMessage<br />
                <b> Total records</b>: @Model.TotalRecords<br />
                <b>Total Success</b>: @Model.TotalSuccessRecords<br />
                <b>  Total Failed</b> : @Model.TotalFailedRecords
            </div>
        </div>*@
            @if (ViewBag.result.ResponseMessage != null)
            {
                @if (ViewBag.result.ImportFor == "Trend" || ViewBag.result.ImportFor == "Market" || ViewBag.result.ImportFor == "CPBI" || ViewBag.result.ImportFor == "RG"|| ViewBag.result.ImportFor=="SI" || ViewBag.result.ImportFor == "CPFA" || ViewBag.result.ImportFor == "CBI")
                {
                    <div class="row">
                        @Html.Partial("_TrendExcel")
                    </div>
                }
                @if (ViewBag.result.ImportFor == "CP" || ViewBag.result.ImportFor == "CPF"||  ViewBag.result.ImportFor == "QA" )
                {
                    <div class="row">
                        @Html.Partial("_CompanyProfileExcel")
                    </div>
                }             

            }


        </form>
    </div>
    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
</div>

<script src="~/js/jquery.js"></script>
<script>
    $("#btnUpload").click(function (e) {
        $("#errorSelect").text("");
        $("#errorFile").text("");
        var validExts = new Array(".xlsx", ".xls");
        var fileExt = $("#fUpload").val();
        var selectedText = $("#importTemplate option:selected").val();
        if (selectedText == -1) {
            e.preventDefault();
            $("#errorSelect").text("Please select Template");
        }
        fileExt = fileExt.substring(fileExt.lastIndexOf('.'));
        if (fileExt == "") {
            e.preventDefault();
            $("#errorFile").text("Please select formfile.");
        }
        else {
            if (validExts.indexOf(fileExt) < 0) {
                e.preventDefault();
                $("#errorFile").text("Invalid file selected, valid files are of " +
                    validExts.toString() + " types.");
            }
        }
    });

    $("#btnDownloadTemplate").click(function (e) {
        $("#errorSelect").text("");
        $("#errorFile").text("");
        var validExts = new Array(".xlsx", ".xls");
        var fileExt = $("#fUpload").val();
        var selectedText = $("#importTemplate option:selected").val();
        if (selectedText == -1) {
            e.preventDefault();
            $("#errorSelect").text("Please select Template");
        } else {
            window.location = '@Url.Action("DownloadTemplate", "Import")?type=' + selectedText;
        }
        
    });
</script>